#![windows_subsystem = "windows"]

mod args;
mod cmd;
mod errors;
mod gpx;

use args::*;
use errors::GenericError;
use thingy_lib::api::{LocationModel, TagModel};
use thingy_lib::Config;

fn main() {
    let env: EnvOpt = argh::from_env();
    if env.subcommand.is_some() {
        if let Err(e) = cmd::from_env(env) {
            eprintln!("Critical Error: {}", e);
            std::process::exit(1);
        }
    } else {
        #[cfg(target_os = "windows")]
        {
            println!("Open nwg UI instead");
        }
        #[cfg(not(target_os = "windows"))]
        println!("non-windows ui not supported. Please run with --help");
    }
}
